<template>
  <div>
    <ul>
            <li v-for="user in users" :key="user.id">
              <input type="text" v-model="user.name">,
              <input type="text" v-model="user.email">,
              <button @click="userDelete(user.id)">удалить</button>
              <button @click="changeName(user.id, user.name, user.email)">изменить имя</button>
            </li>
    </ul>
  </div>
</template>

<script>
  import axios from 'axios'

  export default {
    data() {
      return {
        users: []
      }
    },
    methods: {
      userDelete(id) {
        axios
          .delete(`https://support.wbrush.local/api/test/user/${id}`)
          .then(response => (
              console.log(response.data.success)
            )
          );
      },
      changeName (id, name, email) {
        axios
          .put(`https://support.wbrush.local/api/test/user/${id}`, {name, email})
          .then(response => (
              console.log(response.data.success)
            )
          );
      }
    },
    mounted() {
      axios
        .get('https://support.wbrush.local/api/test/users')
        .then(response => (
            this.users = response.data.success
          )
        );
    }
  }
</script>
